package com.develou.p5_preferencias_con_preferencedatastore.room.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import com.develou.p5_preferencias_con_preferencedatastore.room.entity.UserSetting

@Dao
interface UserSettingsDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(setting: UserSetting)

    @Query(
        """
        SELECT setting_value 
        FROM user_settings 
        WHERE user_id=:currentUserId AND setting_id =:settingId
        """
    )
    suspend fun getValue(currentUserId: Int, settingId: Int): String?
}