package com.develou.p5_preferencias_con_preferencedatastore.room.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey

@Entity(
    tableName = "user_settings",
    primaryKeys = ["user_id", "setting_id"],
    foreignKeys = [
        ForeignKey(
            entity = User::class,
            parentColumns = ["user_id"],
            childColumns = ["user_id"]
        ),
        ForeignKey(
            entity = Setting::class,
            parentColumns = ["setting_id"],
            childColumns = ["setting_id"]
        )]
)
class UserSetting(
    @ColumnInfo(name = "user_id")
    val userId: Int,
    @ColumnInfo(name = "setting_id")
    val settingId: Int,
    @ColumnInfo(name = "setting_value")
    val settingValue: String
)
